### Virtual Method

# Camel MessageInfo get_user_tags

since: 3.24

#### Declaration [src]

    const CamelNameValueArray*
    get_user_tags (
      const CamelMessageInfo* mi
    )

#### Description

No description available.

Available since: 3.24

#### Return value

Type: `CamelNameValueArray`

A `CamelNameValueArray` containing all set user tags of the `mi`. Do not modify it.

The returned data is owned by the instance.
The return value can be `NULL`.